function get_group_cmd_tables_c, secondsSince1996Start, secondsSince1996Stop
    fileSuffix = 'ct'
    structToUse = {L1CrisCommandTable}

    baseDir = getenv('L1_CRIS_DATA_BASE_DIRECTORY')
    date = cvtfromsec1996(secondsSince1996Start)
    path = generate_data_file_path(baseDir, date, fileSuffix)
    startAndStop =							    $
	get_begin_end_secs_of_struct_prior_to(secondsSince1996Start, path,  $
								structToUse)
    if ((secondsSince1996Start GE startAndStop[0]) AND			    $
			(secondsSince1996Start LE startAndStop[1])) then begin
	    ; if the struct with the time stamp just earlier than
	    ; secondsSince1996Start contains secondsSince1996Start between
	    ; its stop and start, then use a start time 1 less than said
	    ; struct's time stamp to be sure to gather it into the group read.
	getStampsAfter = startAndStop[0] - 1
    endif								    $
    else if (startAndStop[1] EQ 0) then begin
	    ; no prior struct was found in this or the previous day.
	    ; set secondsSince1996Start to 1 second less than start of this
	    ; day to get all time stamps inside this day.
	date.hour = 0
	date.min = 0
	date.sec = 0
	seconds1996At12AM = CvtToSec1996(date)
	getStampsAfter = seconds1996At12AM - 1
    endif								    $
    else begin
	    ; secondsSince1996Start is after the previous struct's end time,
	    ; so use that end time as the marker to get structs that follow it
	getStampsAfter = startAndStop[1]
    endelse
    getStampsUpTo = secondsSince1996Stop

    structArray = get_structs_across_days(getStampsAfter, getStampsUpTo,    $
						fileSuffix, structToUse, 'c')
    
    return, structArray
end
